# Fn<> CompareTypeImpl
Implementation of CompareType.

Defined in | <seqan/basic.h>
Signature | `CompareTypeImpl<T1, T2>::Type;`

## Template Parameters

`T2` | Type of the right operand of a comparison.
`T1` | Type of the left operand of a comparison.

## Return Values

`Type` | The type to use for the comparison.

## See Also

- CompareType

#### Dox Sources

    /*!
     * @mfn CompareTypeImpl
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Implementation of CompareType.
     *
     * @signature CompareTypeImpl<T1, T2>::Type;
     *
     * @tparam T2 Type of the right operand of a comparison.
     * @tparam T1 Type of the left operand of a comparison.
     *
     * @return Type The type to use for the comparison.
     *
     * @see CompareType
     */